unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, mx_hookedit;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Memo1: TMemo;
    Memo2: TMemo;
    Button1: TButton;
    Button2: TButton;
    MX_HookEdit1: TMX_HookEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Edit1Enter(Sender: TObject);
    procedure Memo1Enter(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  MX_HookEdit1.Active := true;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  MX_HookEdit1.Active := false;
end;

procedure TForm1.Edit1Enter(Sender: TObject);
begin
  MX_HookEdit1.HookEdit := Edit1;
end;

procedure TForm1.Memo1Enter(Sender: TObject);
begin
  MX_HookEdit1.HookEdit := Memo1;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Memo2.Text := MX_HookEdit1.SecretText;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Memo2.Text := '';
  if (MX_HookEdit1.HookEdit = Edit1) then Memo2.Text := MX_HookEdit1.SecretText(Edit1) else
  if (MX_HookEdit1.HookEdit = Memo1) then Memo2.Text := MX_HookEdit1.SecretText(Memo1);
end;

end.
